REST Documentation

View InboundXML Docs

List Recordings

There are two types of recording lists that can be returned: a lists of every recording associated with an account using the first Request URI below, or a list of only recordings associated with a given CallSid using the second Request URI below.

Request URI

A list of the recording resource can be viewed using the HTTP GET method. The format of the URIs used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/Recordings GET https://api.telapi.com/v1/Accounts/{AccountSid}/Calls/{CallSid}/Recordings

GET Parameters

Optional Parameters

The following case-sensitive parameters can be used to specify what will be returned in your list request.

Parameter Description
optional
Lists all recordings associated with a given CallSid.
optional
Lists all recordings created on or after a certain date. Date range can be specified using inequalities like so: DateSent>=YYYY-MM-DD or DateSent<=YYYY-MM-DD
Allowed Value:
date in the following format: YYYY-MM-DD
optional
Used to return a particular page within the list.
Allowed Value:
integer greater than 0
optional
Used to specify the amount of list items to return per page.
Allowed Value:
integer greater than 0

Example Response

An example of what a response to a list recording request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.